org.apache.cassandra.tools.nodetool

## Class CompactionStats

- java.lang.Object
- - org.apache.cassandra.tools.NodeTool.NodeToolCmd
  - - org.apache.cassandra.tools.nodetool.CompactionStats

All Implemented Interfaces:
  java.lang.Runnable

    @Command(name="compactionstats",
             description="Print statistics on compactions")
    public class CompactionStats
    extends NodeTool.NodeToolCmd

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.tools.NodeTool.NodeToolCmd

`NodeTool.NodeToolCmd.KeyspaceSet`

### Constructor Summary

Constructors
Constructor and Description
`CompactionStats()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `execute(NodeProbe probe)`
`static void` `reportCompactionTable(java.util.List<java.util.Map<java.lang.String,java.lang.String>> compactions, int compactionThroughput, boolean humanReadable)`

### Methods inherited from class org.apache.cassandra.tools.NodeTool.NodeToolCmd

`parseOptionalKeyspace, parseOptionalKeyspace, parseOptionalTables, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompactionStats

    public CompactionStats()

### Method Detail

#### execute

    public void execute(NodeProbe probe)

Specified by:
  `execute` in class `NodeTool.NodeToolCmd`

#### reportCompactionTable

    public static void reportCompactionTable(java.util.List<java.util.Map<java.lang.String,java.lang.String>> compactions,
                                             int compactionThroughput,
                                             boolean humanReadable)